Package org.apache.storm.scheduler.resource

## Enum SchedulingStatus

- java.lang.Object
- - java.lang.Enum<SchedulingStatus>
  - - org.apache.storm.scheduler.resource.SchedulingStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<SchedulingStatus>`

      public enum SchedulingStatus
      extends Enum<SchedulingStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAIL_INVALID_TOPOLOGY` |
    `FAIL_NOT_ENOUGH_RESOURCES` |
    `FAIL_OTHER` |
    `SUCCESS` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static EnumSet<SchedulingStatus>` | `failure` |
    `static EnumSet<SchedulingStatus>` | `success` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isStatusFailure​(SchedulingStatus status)` |
    `static boolean` | `isStatusSuccess​(SchedulingStatus status)` |
    `static SchedulingStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SchedulingStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final SchedulingStatus SUCCESS

    - #### FAIL_NOT_ENOUGH_RESOURCES

          public static final SchedulingStatus FAIL_NOT_ENOUGH_RESOURCES

    - #### FAIL_INVALID_TOPOLOGY

          public static final SchedulingStatus FAIL_INVALID_TOPOLOGY

    - #### FAIL_OTHER

          public static final SchedulingStatus FAIL_OTHER

  - ### Field Detail

    - #### success

          public static EnumSet<SchedulingStatus> success

    - #### failure

          public static EnumSet<SchedulingStatus> failure

  - ### Method Detail

    - #### values

          public static SchedulingStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchedulingStatus c : SchedulingStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchedulingStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isStatusSuccess

          public static boolean isStatusSuccess​(SchedulingStatus status)

    - #### isStatusFailure

          public static boolean isStatusFailure​(SchedulingStatus status)